<script type="text/javascript">	
////	Affiche les livecounters (footer & messenger)
$(function(){
	//Lance le livecounter
	livecounterUpdate(true);
	//Resize le messenger : MAJ la hauteur de "messengerContent" en fonction de "messengerContainer" (cf. "overflow" scroll)
	$("#messengerContainer").resize(function(){  $("#messengerContent,#messengerContent>div>div").outerHeight( $("#messengerContainer").height()-$("#messengerPostForm").outerHeight(true));  });
});

////	Update les livecounters (principal/messenger) && Messages du messenger
function livecounterUpdate(livecounterInit)
{
	//Init le son d'alerte
	if(typeof messengerAlert=="undefined"){
		messengerAlert=new Audio("app/misc/messengerAlert.mp3");
		messengerAlert.loop=false;
	}
	//Lance la requete AJAX
	var updateParams="";
	if($(".fancybox-iframe").exist() && find("Edit",$(".fancybox-iframe").prop("src")))   {updateParams+="&editObjId="+getUrlParam("targetObjId",$(".fancybox-iframe").prop("src"));}//Control de double modif d'un objet
	$.ajax({url:"?ctrl=misc&action=LivecounterUpdate"+updateParams,dataType:"json"}).done(function(ajaxResult){
		////	LIVECOUNTER MODIFIÉ
		if(ajaxResult.livercounterChanged==true || livecounterInit==true)
		{
			//Livecounter principal (masque uniquement si aucun user connecté et aucun message à afficher)
			if(ajaxResult.livecounterMainHtml.length==0 && ajaxResult.messengerMessagesHtml.length==0)  {$("#livecounterMain").hide();  $("#pageFooterHtml").show();}
			else{
				var livecounterMainUsersHtml=(ajaxResult.livecounterMainHtml.length>0)  ?  ajaxResult.livecounterMainHtml  :  "<?= Txt::trad("USER_livecounterNobody") ?>";
				$("#livecounterMainUsers").html(livecounterMainUsersHtml);
				$("#pageFooterHtml").hide();
				$("#livecounterMain").show();
			}
			//Livecounter du messenger  (retient les users dejà sélectionnés, puis les réaffecte après affichage du nouveau livecounter)
			var oldCheckedUsers=messengerUsersChecked();
			$("#messengerUsersAjax").html(ajaxResult.livecounterMessengerHtml);
			for(var tmpKey in oldCheckedUsers)	{$("#messengerUserBox"+oldCheckedUsers[tmpKey]).prop("checked",true);}
		}
		////	NOUVEAU MESSAGE A AFFICHER
		if(ajaxResult.messengerChanged==true || livecounterInit==true)
		{
			$("#messengerMessagesAjax").html(ajaxResult.messengerMessagesHtml);
			initTooltips();//Réactive après un "html()"
			if(typeof messengerDisplayLastIdUser=="undefined")  {messengerDisplayLastIdUser=null;}
			messengerUserStyle(messengerDisplayLastIdUser);
			scrollToLastMessages();
		}
		////	PULSATE D'USERS SI YA DE NOUVEAUX MESSAGES A AFFICHER (Pulsate et Alerte sonore relancé à chaque "livecounterUpdate" si besoin)
		if(ajaxResult.messengerPulsateUsers.length>0)
		{
			//Fait clignoter l'auteur d'un nouveau message (s'il est encore connecté..)
			var isMessengerAlert=false;
			for(var tmpKey in ajaxResult.messengerPulsateUsers)
			{
				var pulsateIdUser=ajaxResult.messengerPulsateUsers[tmpKey];
				if($("#livecounterMainUsers label[data-idUser='"+pulsateIdUser+"']").is(":visible")){
					isMessengerAlert=true;
					if(messengerIsVisible(pulsateIdUser))	{pulsateTimes=3;	messengerUpdateDisplayedUser(pulsateIdUser);}//pulsate court & MAJ Ajax du "messengerDisplayTime"
					else									{pulsateTimes=40;}//pulsate long
					$("#livecounterMainUsers label[data-idUser='"+pulsateIdUser+"']").stop(true).css("opacity","1").effect("pulsate",{times:pulsateTimes},Math.round(pulsateTimes*1000));//Lance/Relance le pulsate
				}
			}
			//Alerte sonore si ya de nouveaux messages (X2)
			if(isMessengerAlert==true && livecounterUpdateEnabled()){
				messengerAlert.play();
				setTimeout(function(){ messengerAlert.play(); },1000);
			}
		}
		////	RELANCE APRÈS X SECONDES
		if(livecounterUpdateEnabled()){
			if(typeof livecounterUpdateTimeout!="undefined")  {clearTimeout(livecounterUpdateTimeout);}//Annule le dernier "setTimeout" (pas de cumul)
			livecounterUpdateTimeout=setTimeout(function(){  livecounterUpdate();  },<?= LIVECOUNTER_REFRESH*1000 ?>);
		}
	});
}

////	Update le livecounter si la page est affichée ou a été affichée dans les 60 dernières secondes. Evite de faire des requetes Ajax indéfiniment en tache de fond si la page n'est plus affichée..
function livecounterUpdateEnabled()
{
	if(typeof livecounterUpdateTimestamp=="undefined" || document.visibilityState=="visible")  {livecounterUpdateTimestamp=Date.now();}//init ou update le timestamp
	return ((Date.now()-livecounterUpdateTimestamp)<60000);
}


////	Affichage / masque le messenger (_idUserDisplayed => "_idUser" specifique / "all" users / "close")
function messengerToggle(_idUserDisplayed)
{
	//Masque le messenger s'il est déjà affiché
	if(messengerIsVisible(_idUserDisplayed))  {_idUserDisplayed="close";}
	//Pas d'affichage "all" en mode mobile
	if(isMobile() && _idUserDisplayed=="all")	{return false;}
	//Masque ou Affiche le messenger
	if(_idUserDisplayed=="close")  {$("#messengerContainer").hide();}
	else
	{
		//Sélection d'un user spécifique / premier user de la liste
		$("[id^='messengerUserBox']").prop("checked",false);//reinit
		if(_idUserDisplayed!="all" && $("#messengerUserBox"+_idUserDisplayed).exist())	{$("#messengerUserBox"+_idUserDisplayed).prop("checked",true).trigger("change");}//"trigger" pour "checkboxLabel()"
		// Affichage mobile (toute hauteur/largeur)  /  Affichage normal (Redimensionnable des 4 cotés) 
		if(isMobile())	{$("#messengerContainer").outerHeight(Math.round($(window).height()-$("#livecounterMain").height())).outerWidth($(window).width()).trigger("resize");}
		else			{$("#messengerContainer").resizable({handles:"n,e,s,w"});}
		//Messenger : Positions left/top & Update la hauteur du contenu scrollable (Trigger "Resize") & Affichage final
		var newLeft  =(isMobile())  ?  0  :  Math.round(($(window).width()/2) - ($("#messengerContainer").outerWidth(true)/2));
		var newBottom=(isMobile())  ?  $("#livecounterMain").outerHeight()  :    $("#livecounterMain").outerHeight()+5;
		$("#messengerContainer").css("left",newLeft).css("bottom",newBottom).show().trigger("resize");
		//Actions diverses (après affichage!)
		messengerDisplayLastIdUser=_idUserDisplayed;					//Update le dernier user affiché
		scrollToLastMessages();											//Affiche les derniers messages
		messengerAlert.pause();											//Fin de son d'alerte
		$("#livecounterMainUsers label").stop(true).css("opacity","1");	//Fin de "pulsate"
		messengerUpdateDisplayedUser(_idUserDisplayed);					//MAJ Ajax du "time" de l'user affiché
		//Input text : remplace le "placeholer" & focus?
		var placeholderText=(_idUserDisplayed=="all")  ?  "<?= Txt::trad("MESSENGER_addMessageToSelection") ?>"  :  "<?= Txt::trad("MESSENGER_addMessageTo") ?> "+$("#livecounterMainUsers label[data-idUser='"+_idUserDisplayed+"']").text();
		$("#messengerPostMessage").attr("placeholder",placeholderText);
		if(!isMobile())  {$("#messengerPostMessage").focus();}
	}
	//Style du messenger
	messengerUserStyle(_idUserDisplayed);
}

////	Style du messenger et des livecounters : Affiche les messages de tous les users OU les messages d'un user et le surligne dans le livecounter
function messengerUserStyle(_idUserDisplayed)
{
	//Réinit l'affichage des livecounters et de tous les messages
	$("#messengerUsersAjaxDiv,.vMessengerMessage").hide();
	$("#livecounterMainUsers label[data-idUser]").removeClass("vLivecounterMainUsersLabelSelect");
	//Tous les users : affiche la liste des users (checkboxes) et tous les messages
	if(_idUserDisplayed=="all")	{$("#messengerUsersAjaxDiv,.vMessengerMessage").show();}
	//User spécifique
	else if(_idUserDisplayed!="close" && messengerIsVisible(_idUserDisplayed)){
		$(".vMessengerMessage[data-idUsers*='@"+_idUserDisplayed+"@']").show();//Affiche les messages de l'user
		$("#livecounterMainUsers label[data-idUser='"+_idUserDisplayed+"']").addClass("vLivecounterMainUsersLabelSelect");//Surligne l'user dans le "livecounterMain"
	}
}

////	MAJ Ajax du "time" de l'user affiché
function messengerUpdateDisplayedUser(_idUserDisplayed)
{
	$.ajax({url:"?ctrl=misc&action=MessengerUpdateDisplayedUser&_idUserDisplayed="+_idUserDisplayed});
}

////	Verif si le messenger est affiché
function messengerIsVisible(_idUserDisplayed)
{
	return ($("#messengerContainer").is(":visible") && _idUserDisplayed==messengerDisplayLastIdUser);
}

////	Affiche les derniers messages (en bas de "messengerMessagesAjax")
function scrollToLastMessages()
{
	setTimeout(function(){ $("#messengerMessagesAjax").scrollTop($("#messengerMessagesAjax").prop("scrollHeight")); },200);
}

////	Users sélectionnés : renvoi un tableau
function messengerUsersChecked()
{
	return $("[name='messengerPostUsers']:checked").map(function(){ return $(this).val(); }).get();
}

////	Controle & post du message du messenger (note: pb de scroll sous chrome apres lancement de "messengerPost()")
function messengerPost()
{
	//Vérif du message et user spécifié
	if($("#messengerPostMessage").isEmpty())  {notify("<?= Txt::trad("MESSENGER_addMessageNotif") ?>");  return false;}
	var checkedUsers=messengerUsersChecked();
	if(checkedUsers.length==0)  {notify("<?= Txt::trad("selectUser") ?>");  return false;}
	// On poste le message, relance l'affichage des messages et récupère les messages
	$.ajax({url:"?ctrl=misc&action=MessengerPostMessage", data:{message:$("#messengerPostMessage").val(),messengerPostUsers:checkedUsers}, type:"POST"}).done(function(){
		$("#messengerPostMessage").val("");
		if(!isMobile())  {$("#messengerPostMessage").focus();}
		livecounterUpdate();
	});
}
</script>


<style>
/*Livecounter Main*/
#livecounterMain					{display:none; position:fixed; z-index:20; bottom:0px; left:0px; width:100%; text-align:center;}
#livecounterMainContent				{position:relative; display:inline-block; color:#fff; background-color:rgba(0,0,0,0.7); padding:10px 20px 10px 45px; border-radius:5px 5px 0px 0px;}
#livecounterMainIcon				{position:absolute; left:-10px; top:-2px; cursor:pointer;}
#livecounterMainTitle				{margin-right:5px;}
#livecounterMainUsers label			{padding:7px 7px 7px 0px; margin:0px 5px 0px 5px; color:#fff !important;}/*cf. "actionLivecounterUpdate()"*/
.vLivecounterMainUsersLabelSelect	{border:solid 1px #888; border-radius:3px; background-color:#333;}
#livecounterMainUsers .personImg	{width:40px; height:40px; margin:0px 8px 0px 8px;}/*cf. "actionLivecounterUpdate()"*/

/*Messenger*/
#messengerContainer					{display:none; position:fixed; z-index:23; min-width:330px; width:500px; min-height:200px; height:550px; border-radius:5px; padding:20px; background-color:rgba(0,0,0,0.75);}
#messengerContainer .personImg		{width:24px; height:24px; margin:0px 4px 0px 4px;}/*cf. "actionLivecounterUpdate()"*/
#messengerClose						{position:absolute; top:-10px; right:-10px;}
#messengerPostForm					{padding-top:20px; text-align:center; vertical-align:bottom;}
#messengerPostMessage,#messengerPostButton	{height:33px;}
#messengerPostMessage				{width:350px; font-weight:bold; border-radius:3px;}
#messengerContent					{display:table; width:100%; background-color:#fff; border-radius:3px;}
#messengerContent>div				{display:table-cell;}
#messengerContent>div:first-child	{width:120px; background:linear-gradient(to bottom,#eee,#fff);}
#messengerDrag						{width:20px; vertical-align:middle; cursor:move;}
#messengerUsersAjax, #messengerMessagesAjax	{overflow-y:auto;}
#messengerUsersAjax>div				{margin:5px;}
#messengerMessagesAjax				{background-image:url(app/img/messengerBig.png); background-repeat:no-repeat; background-position:right bottom;}
.vMessengerMessage					{display:table;}
.vMessengerMessage>div				{display:table-cell; padding:5px; cursor:help; vertical-align:middle;}
.vMessengerMessage>div:first-child	{min-width:80px; color:#aaa;}/*heure/auteur du message*/
.vMessengerMessage>div:last-child	{font-style:italic;}/*text du "curUser"*/

/*RESPONSIVE*/
@media screen and (max-width:1024px)
{
	#livecounterMain			{text-align:left;}
	#livecounterMainContent		{width:100%; background:linear-gradient(to bottom,#111,#222); padding:5px 0px 5px 0px; border-radius:0px; border-top:solid 1px #444; text-align:right;}/*1pxpadding left & right à zero car width=100%*/
	#livecounterMainIcon		{left:0; top:8px; opacity:0.5; filter:grayscale(100%);}
	#livecounterMainTitle		{display:none;}/*masque "connectés:"*/
	#livecounterMainUsers label	{text-transform:uppercase; margin:0px;}
	#messengerContainer			{border-radius:0px; background-color:rgba(0,0,0,0.9); padding:25px 12px 15px 12px;}
	#messengerDrag				{display:none!important;}
	#messengerPostForm			{padding-top:10px;}
	#messengerPostMessage,#messengerPostButton	{height:38px;}
	#messengerPostMessage		{width:240px;}
	#messengerClose				{top:0px; right:0px;}
}
</style>

<!--LIVECOUNTER PRINCIPAL + ICONE MESSENGER-->
<div id="livecounterMain">
	<span id="livecounterMainContent">
		<img src="app/img/messenger.png" id="livecounterMainIcon" onclick="messengerToggle('all');" title="<?= Txt::trad("MESSENGER_messenger") ?>">
		<span id="livecounterMainTitle"><?= Txt::trad("MESSENGER_connected") ?> :</span>
		<span id="livecounterMainUsers"></span>
	</span>
</div>

<!--MESSENGER-->
<div id="messengerContainer" onMouseOver="$(this).draggable({handle:'#messengerDrag',opacity:0.9});">
	<!--FERME-->
	<a id="messengerClose" onclick="messengerToggle('close');" title="<?= Txt::trad("close") ?>"><img src="app/img/close.png"></a>
	<!--USERS & MESSAGES-->
	<div id="messengerContent">
		<div id="messengerUsersAjaxDiv"><div id="messengerUsersAjax">&nbsp;</div></div>
		<div id="messengerMessagesAjaxDiv"><div id="messengerMessagesAjax">&nbsp;</div></div>
		<div id="messengerDrag"><img src="app/img/messengerDrag.png"><img src="app/img/messengerDrag.png"></div>
	</div>
	<!--POST MESSAGE & CO-->
	<div id="messengerPostForm">
		<input type="text" name="message" id="messengerPostMessage" maxlength="500" onkeyup="if(event.keyCode==13){messengerPost();}">
		<button id="messengerPostButton" onclick="messengerPost();"><img src="app/img/messengerPostMessage.png"> <?= Txt::trad("send") ?></button>
	</div>
</div>